igeo.io

## Class IIO

- java.lang.Object
- - igeo.io.IIO

-     public class IIO
      extends java.lang.Object

  A class to provide an interface to all File I/O.
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IIO.FileType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `extension3DXML`
    `static java.lang.String` | `extensionAI`
    `static java.lang.String` | `extensionObj`
    `static java.lang.String` | `extensionRhino`
    `static java.lang.String` | `extensionSHP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IIO()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getExtension(java.lang.String filename)`
    `static java.lang.String` | `getFilenameWithoutExtension(java.lang.String filename)`
    `static IIO.FileType` | `getFileType(java.lang.String filename)`
    `static boolean` | `isExtension(java.lang.String filename, java.lang.String extension)`
    `static java.util.ArrayList<IObject>` | `open(java.io.File file, IServerI server)`
    `static java.util.ArrayList<IObject>` | `open(java.io.File file, IServerI server, IInputWrapper wrapper)`
    `static java.util.ArrayList<IObject>` | `open(java.lang.String filename, IServerI server)`
    `static java.util.ArrayList<IObject>` | `open(java.lang.String filename, IServerI server, IInputWrapper wrapper)`
    `static java.util.ArrayList<IObject>` | `open3DXML(java.io.File file, IServerI server)`
    `static java.util.ArrayList<IObject>` | `open3DXML(java.io.InputStream istream, java.lang.String filename, IServerI server)`
    `static java.util.ArrayList<IObject>` | `openOBJ(java.io.File file, IServerI server)`
    `static java.util.ArrayList<IObject>` | `openOBJ(java.io.InputStream istream, IServerI server)`
    `static java.util.ArrayList<IObject>` | `openRhino(java.io.File file, IServerI server)`
    `static java.util.ArrayList<IObject>` | `openRhino(java.io.InputStream istream, IServerI server)`
    `static java.util.ArrayList<IObject>` | `openShape(java.io.File file, IServerI server)`
    `static java.util.ArrayList<IObject>` | `openShape(java.io.InputStream shpStream, java.io.InputStream dbfStream, IServerI server)`
    `static boolean` | `save(java.io.File file, IServerI server)`
    `static boolean` | `save(java.io.File file, IServerI server, boolean saveAllTexture)`
    `static boolean` | `save(java.lang.String filename, IServerI server)`
    `static boolean` | `save(java.lang.String filename, IServerI server, boolean saveAllTexture)`
    `static boolean` | `saveAI(java.io.File file, IServerI server)`
    `static boolean` | `saveAI(java.io.File file, IServerI server, double scale)`
    `static boolean` | `saveAI(java.lang.String filename, IServerI server)`
    `static boolean` | `saveAI(java.lang.String filename, IServerI server, double scale)`
    `static boolean` | `saveOBJ(java.io.File file, IServerI server)`
    `static boolean` | `saveOBJ(java.lang.String filename, IServerI server)`
    `static boolean` | `saveRhino(java.io.File file, IServerI server)`
    `static boolean` | `saveRhino(java.lang.String filename, IServerI server)`
    `static boolean` | `saveRhino4(java.io.File file, IServerI server)`
    `static boolean` | `saveRhino4(java.lang.String filename, IServerI server)`
    `static boolean` | `saveRhino5(java.io.File file, IServerI server)`
    `static boolean` | `saveRhino5(java.lang.String filename, IServerI server)`
    `static boolean` | `saveTextures(java.io.File file, IServerI server)`
    `static boolean` | `saveTextures(java.lang.String filename, IServerI server)`
    `static boolean` | `saveTexturesAsPNG(java.lang.String filename, IServerI server)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extensionObj

          public static final java.lang.String extensionObj

      See Also:
        Constant Field Values

    - #### extensionRhino

          public static final java.lang.String extensionRhino

      See Also:
        Constant Field Values

    - #### extension3DXML

          public static final java.lang.String extension3DXML

      See Also:
        Constant Field Values

    - #### extensionAI

          public static final java.lang.String extensionAI

      See Also:
        Constant Field Values

    - #### extensionSHP

          public static final java.lang.String extensionSHP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IIO

          public IIO()

  - ### Method Detail

    - #### isExtension

          public static boolean isExtension(java.lang.String filename,
                                            java.lang.String extension)

    - #### getExtension

          public static java.lang.String getExtension(java.lang.String filename)

    - #### getFilenameWithoutExtension

          public static java.lang.String getFilenameWithoutExtension(java.lang.String filename)

    - #### getFileType

          public static IIO.FileType getFileType(java.lang.String filename)

    - #### open

          public static java.util.ArrayList<IObject> open(java.lang.String filename,
                                                          IServerI server)

    - #### open

          public static java.util.ArrayList<IObject> open(java.io.File file,
                                                          IServerI server)

    - #### open

          public static java.util.ArrayList<IObject> open(java.lang.String filename,
                                                          IServerI server,
                                                          IInputWrapper wrapper)

    - #### open

          public static java.util.ArrayList<IObject> open(java.io.File file,
                                                          IServerI server,
                                                          IInputWrapper wrapper)

    - #### openOBJ

          public static java.util.ArrayList<IObject> openOBJ(java.io.File file,
                                                             IServerI server)

    - #### openOBJ

          public static java.util.ArrayList<IObject> openOBJ(java.io.InputStream istream,
                                                             IServerI server)

    - #### openRhino

          public static java.util.ArrayList<IObject> openRhino(java.io.File file,
                                                               IServerI server)

    - #### openRhino

          public static java.util.ArrayList<IObject> openRhino(java.io.InputStream istream,
                                                               IServerI server)

    - #### open3DXML

          public static java.util.ArrayList<IObject> open3DXML(java.io.File file,
                                                               IServerI server)

    - #### open3DXML

          public static java.util.ArrayList<IObject> open3DXML(java.io.InputStream istream,
                                                               java.lang.String filename,
                                                               IServerI server)

    - #### openShape

          public static java.util.ArrayList<IObject> openShape(java.io.File file,
                                                               IServerI server)

    - #### openShape

          public static java.util.ArrayList<IObject> openShape(java.io.InputStream shpStream,
                                                               java.io.InputStream dbfStream,
                                                               IServerI server)

    - #### save

          public static boolean save(java.lang.String filename,
                                     IServerI server)

    - #### save

          public static boolean save(java.lang.String filename,
                                     IServerI server,
                                     boolean saveAllTexture)

    - #### save

          public static boolean save(java.io.File file,
                                     IServerI server)

    - #### save

          public static boolean save(java.io.File file,
                                     IServerI server,
                                     boolean saveAllTexture)

    - #### saveOBJ

          public static boolean saveOBJ(java.lang.String filename,
                                        IServerI server)

    - #### saveOBJ

          public static boolean saveOBJ(java.io.File file,
                                        IServerI server)

    - #### saveRhino

          public static boolean saveRhino(java.lang.String filename,
                                          IServerI server)

    - #### saveRhino

          public static boolean saveRhino(java.io.File file,
                                          IServerI server)

    - #### saveRhino4

          public static boolean saveRhino4(java.lang.String filename,
                                           IServerI server)

    - #### saveRhino4

          public static boolean saveRhino4(java.io.File file,
                                           IServerI server)

    - #### saveRhino5

          public static boolean saveRhino5(java.lang.String filename,
                                           IServerI server)

    - #### saveRhino5

          public static boolean saveRhino5(java.io.File file,
                                           IServerI server)

    - #### saveAI

          public static boolean saveAI(java.lang.String filename,
                                       IServerI server)

    - #### saveAI

          public static boolean saveAI(java.io.File file,
                                       IServerI server)

    - #### saveAI

          public static boolean saveAI(java.lang.String filename,
                                       IServerI server,
                                       double scale)

    - #### saveAI

          public static boolean saveAI(java.io.File file,
                                       IServerI server,
                                       double scale)

    - #### saveTextures

          public static boolean saveTextures(java.io.File file,
                                             IServerI server)

    - #### saveTextures

          public static boolean saveTextures(java.lang.String filename,
                                             IServerI server)

    - #### saveTexturesAsPNG

          public static boolean saveTexturesAsPNG(java.lang.String filename,
                                                  IServerI server)